package com.iamberry.wechat.core.entity.agentInfo;

import java.util.Date;

/**
 * 代理订货记录类
 * Created by liuzhiwei on 2017/10/11.
 */
public class AgentOrder implements java.io.Serializable{

    private static final long serialVersionUID = -3002867268414307355L;
    private String agentOrderid;        //订单id
    private Integer agentId;            //代理商id
    private Integer agentYetAmount;     //付款金额
    private Integer agentAmount;        //订单总额
    private Date agentCreateDate;       //订单创建时间
    private String agentPostNum;        //快递单号
    private String agentPostFirm;       //快递公司
    private Integer agentStatus;        //状态
    private Date agentSendDate;         //发货时间
    private String agentAddressInfo;    //详细地址
    private String agentAddressPostnum; //邮编
    private String agentAddressTel;     //收件人电话
    private String agentAddressName;    //收件人姓名
    private String agentAdminRemark;    //后台的备注
    private String agentTransactionId;  //微信订单号
    private Date agentTransactionDate;  //微信支付时间

    private String agentOrderItemJson;  //订单项

    public String getAgentOrderid() {
        return agentOrderid;
    }

    public void setAgentOrderid(String agentOrderid) {
        this.agentOrderid = agentOrderid;
    }

    public Integer getAgentId() {
        return agentId;
    }

    public void setAgentId(Integer agentId) {
        this.agentId = agentId;
    }

    public Integer getAgentYetAmount() {
        return agentYetAmount;
    }

    public void setAgentYetAmount(Integer agentYetAmount) {
        this.agentYetAmount = agentYetAmount;
    }

    public Integer getAgentAmount() {
        return agentAmount;
    }

    public void setAgentAmount(Integer agentAmount) {
        this.agentAmount = agentAmount;
    }

    public Date getAgentCreateDate() {
        return agentCreateDate;
    }

    public void setAgentCreateDate(Date agentCreateDate) {
        this.agentCreateDate = agentCreateDate;
    }

    public String getAgentPostNum() {
        return agentPostNum;
    }

    public void setAgentPostNum(String agentPostNum) {
        this.agentPostNum = agentPostNum;
    }

    public String getAgentPostFirm() {
        return agentPostFirm;
    }

    public void setAgentPostFirm(String agentPostFirm) {
        this.agentPostFirm = agentPostFirm;
    }

    public Integer getAgentStatus() {
        return agentStatus;
    }

    public void setAgentStatus(Integer agentStatus) {
        this.agentStatus = agentStatus;
    }

    public Date getAgentSendDate() {
        return agentSendDate;
    }

    public void setAgentSendDate(Date agentSendDate) {
        this.agentSendDate = agentSendDate;
    }

    public String getAgentAddressInfo() {
        return agentAddressInfo;
    }

    public void setAgentAddressInfo(String agentAddressInfo) {
        this.agentAddressInfo = agentAddressInfo;
    }

    public String getAgentAddressPostnum() {
        return agentAddressPostnum;
    }

    public void setAgentAddressPostnum(String agentAddressPostnum) {
        this.agentAddressPostnum = agentAddressPostnum;
    }

    public String getAgentAddressTel() {
        return agentAddressTel;
    }

    public void setAgentAddressTel(String agentAddressTel) {
        this.agentAddressTel = agentAddressTel;
    }

    public String getAgentAddressName() {
        return agentAddressName;
    }

    public void setAgentAddressName(String agentAddressName) {
        this.agentAddressName = agentAddressName;
    }

    public String getAgentAdminRemark() {
        return agentAdminRemark;
    }

    public void setAgentAdminRemark(String agentAdminRemark) {
        this.agentAdminRemark = agentAdminRemark;
    }

    public String getAgentTransactionId() {
        return agentTransactionId;
    }

    public void setAgentTransactionId(String agentTransactionId) {
        this.agentTransactionId = agentTransactionId;
    }

    public Date getAgentTransactionDate() {
        return agentTransactionDate;
    }

    public void setAgentTransactionDate(Date agentTransactionDate) {
        this.agentTransactionDate = agentTransactionDate;
    }

    public String getAgentOrderItemJson() {
        return agentOrderItemJson;
    }

    public void setAgentOrderItemJson(String agentOrderItemJson) {
        this.agentOrderItemJson = agentOrderItemJson;
    }
}
